
From: Thomas Davis <tadavis@lbl.gov>

Doing a 'make rpm' will fail with the current RH9/Fedora RPM macros.

The failure message is this:

Processing files: kernel-debuginfo-2.6.3rc1mm1-12
error: Could not open %files file /usr/src/redhat/BUILD/kernel-2.6.3rc1mm1/debugfiles.list: No such file or directory

The fix is this patch:



---

 scripts/mkspec |    1 +
 1 files changed, 1 insertion(+)

diff -puN scripts/mkspec~make-rpm-fix scripts/mkspec
--- 25/scripts/mkspec~make-rpm-fix	2004-02-16 20:50:19.000000000 -0800
+++ 25-akpm/scripts/mkspec	2004-02-16 20:50:19.000000000 -0800
@@ -37,6 +37,7 @@ echo "$EXTRAVERSION.tar.gz" | sed -e "s/
 echo "BuildRoot: /var/tmp/%{name}-%{PACKAGE_VERSION}-root"
 echo "Provides: $PROVIDES"
 echo "%define __spec_install_post /usr/lib/rpm/brp-compress || :"
+echo "%define debug_package %{nil}"
 echo ""
 echo "%description"
 echo "The Linux Kernel, the operating system core itself"

_
